#!/sbin/ash
DEVICE="/dev/block/mmcblk0p2"
DIR="/sd-ext"
umount $DEVICE
	true
	if [ $? = 0 ];
	then
		LOGM1=`mount -t rfs -o rw,nosuid,nodev,codepage=utf8,xattr,check=no ${DEVICE} ${DIR} 2>&1`
		RES=$?
		FS="RFS"
		if [ ! $RES = 0 ];
		then
			mount -t ext4 -o rw,nosuid,nodev,noatime,nodiratime,barrier=1,data=ordered $DEVICE $DIR
			RES=$?
			FS="EXT4"
		fi;
		if [ ! $RES = 0 ];
		then
			mount -t ext2 -o rw,noatime,nodiratime,nodev,nosuid $DEVICE $DIR
			RES=$
			SYSLOG="EXT2"
		fi;
		if [ $RES = 0 ];
		then
			if [ -e /sd-ext/dalvik-cache ];
			then
				rm -rf /sd-ext/dalvik-cache
				umount $DEVICE
				#echo "dalvik-cache wiped from sd-ext, (sd-ext fs:${FS)" > /sdcard/dalvik_sd-ext.log
			fi;
		fi;
	fi;
