#!/sbin/ash

if [ ! -e /sdcard/samdroid ];
then
	mkdir /sdcard/samdroid
fi;
DEVICE="/dev/stl6"
DIR="/system"
umount $DEVICE
	true
	if [ $? = 0 ];
	then
		LOGM1=`mount -t rfs -o rw,nosuid,nodev,codepage=utf8,xattr,check=no ${DEVICE} ${DIR} 2>&1`
		RES=$?
		FS="RFS"
		if [ ! $RES = 0 ];
		then
			mount -t ext4 -o rw,nosuid,nodev,noatime,nodiratime,barrier=1,data=ordered $DEVICE $DIR
			RES=$?
			FS="EXT4"
		fi;
		if [ ! $RES = 0 ];
		then
			mount -t ext2 -o rw,noatime,nodiratime,nodev,nosuid $DEVICE $DIR
			RES=$
			SYSLOG="EXT2"
		fi;
		if [ $RES = 0 ];
		then
			FILE="/sdcard/samdroid/Backup_system_${FS}toEXT2.tar"
			if [ -e $FILE ];
			then
				rm -f $FILE
			fi;
			#TAR=`tar cf ${FILE} ${DIR} --exclude ?RFS_LOG.LO? 2>&1`
			tar cf $FILE $DIR --exclude ?RFS_LOG.LO?
			if [ $? = 0 ];
			then
				umount $DIR
				if [ $? = 0 ];
				then
					mkfs.ext2 -m 0 -q -b 4096 $DEVICE
					mount -t ext2 -o rw,noatime,nodiratime,nodev,nosuid $DEVICE $DIR
					cd /
					tar xf $FILE
					umount $DIR
					mount -t ext2 -o rw,noatime,nodiratime,nodev,nosuid $DEVICE $DIR
					echo "/system converted successfuly!" > /sdcard/ext2_system.log
				else
					echo "/system backuping error: unable to unmount /system" > /ext2_system.log
				fi;
			else
				if [ -e $FILE ];
				then
					rm -f $FILE
				fi;
				echo "/system backuping error: probably, not enough space on SD card" > /sdcard/ext2_system.log
			fi;
		else
			echo "/system conversion error: unable to mount /system (reboot to recovery, and try again)" > /sdcard/ext2_system.log
		fi;
	else
		echo "/system conversion error: unable to unmount /system" > /sdcard/ext2_system.log
	fi;
#echo "fs:${FS} / m1:${LOGM1}  / ${TAR}" > /sdcard/system_debug.log